Bug 825146 - snmp auth cannot work with new passwd after some action
snmp auth cannot work with new passwd after some action
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Joey Boggs
Virtualization Bugs
: ZStream
Depends On:
Blocks: 837057
  Show dependency treegraph
Reported: 2012-05-25 04:43 EDT by Guohua Ouyang
Modified: 2016-04-26 11:51 EDT (History)
17 users (show)

See Also:
Fixed In Version: ovirt-node-2.5.0-3.el6
Doc Type: Bug Fix
Doc Text:
When attempting to change the snmp password on the web interface for Red Hat Enterprise Virtualization Hypervisor, the password would not change to the updated one and the existing password would remain in effect. This new fix ensures that the password is updated when the field is updated. Changing passwords should work correctly with snmp authentication.
Story Points: ---
Clone Of:
Last Closed: 2013-02-28 11:34:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Guohua Ouyang 2012-05-25 04:43:51 EDT
Description of problem:
when snmpd is configured, press "apply" on the snmp page directly, without change, and then confgiure snmp with new passwd, snmp failed to auth with the new one but work with the old one.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure snmp with passwd, snmp works with the passwd.
$ snmpwalk -v3 -u root -l authPriv -a SHA -A redhat123 -x AES -X redhat123 sysDescr
SNMPv2-MIB::sysDescr.0 = STRING: Linux dhcp-8-209.nay.redhat.com 2.6.32-274.el6.x86_64 #1 SMP Tue May 22 17:56:02 EDT 2012 x86_64

2. On the snmp page, press apply without change anything.
3. Configure snmp with a new passwd, snmp failed work with the new passwd, but still work with the old one.
Actual results:
$ snmpwalk -v3 -u root -l authPriv -a SHA -A 123qweP# -x AES -X 123qweP# sysDescr
snmpwalk: Authentication failure (incorrect password, community or key) (Sub-id not found: (top) -> sysDescr)

Expected results:
snmp should work at every passwd change.

Additional info:
Comment 9 errata-xmlrpc 2013-02-28 11:34:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.